# coding: utf-8
puts "タイマーとストップウォッチどちらがいいですか?"

while true
puts "タイマーなら1、ストップウォッチは2を入力してください"
puts "終了したいなら3を押してください"
  erabu = gets.to_i
  if erabu == 1
    puts "タイマーを起動します"
    print "秒数を記入してください:"
    x = gets.chomp.to_i
    puts "タイマーをスタートします"

    while x > 0                                 #xが0以上の場合
      sleep (1)                                 #1秒待つ
      x = x - 1                                 #xから1を引く
      printf("%d\n", x)                         #秒数を表示
    end
  puts "時間になりました"
  sleep (1)  

  elsif erabu == 2                              #ここからは一部予習
    puts "ストップウォッチを起動します"
    puts "enterキーでスタート,ストップ"
    saisyo = gets.chomp                         #gets.chompで待機させる
    kaisi = Time.now.to_i                       #タイマースタート
    teisi = gets.chomp
    syuryo = Time.now.to_i                      #タイマーストップ
    taimu = syuryo - kaisi                      #開始時間から終了時間を引く
    hun = taimu / 60                            #60を割って分をだす
    byou = taimu - hun * 60                     #はかった秒数から分のぶんを引く
    zikan = hun / 60
    puts "タイムは"
    while zikan > 0
      printf("%d時間", zikan)
      break
    end

    while hun > 0
      printf("%d分", hun)
      break
    end

    printf("%d秒", byou)
    print ("でした\n")
    puts
    puts
      
  elsif erabu == 3
    puts "このプログラムを終了します"
    break
    else
    puts "その選択肢はありません"
    puts
    next
  end
puts
puts  
end
